"use strict";

const { Model } = require("objection");

module.exports = function ({ db }) {
	return class Failure extends Model {
		static tableName = "failures";
	
		static get relationMappings() {
			return {
				taskResult: {
					relation: Model.BelongsToOneRelation,
					modelClass: db.TaskResult,
					join: { from: "failures.taskResultId", to: "taskResults.id" }
				}
			};
		};
	}
};
